##################################################################
#
#   makefile
# 
#   for the MARS software
#
##################################################################
include ../Makefile.conf.$(OSTYPE)
include ../Makefile.conf.general

#------------------------------------------------------------------------------

INCLUDES = -I. -I../mbase -I../mfbase -I../mraw -I../mmc -I../mdata \
           -I../manalysis -I../mfileio  -I../mgeom -I../mimage      \
           -I../mhbase -I../mmain -I../mgui -I../msignal -I../mpointing  \
           -I../mpedestal

CINT     = Filter

SRCFILES = MFTriggerLvl1.cc \
	   MFTriggerLvl2.cc \
	   MFGeomag.cc \
           MFDeltaT.cc \
	   MFParticleId.cc \
	   MFAlpha.cc \
	   MFCT1SelBasic.cc \
	   MFCT1SelStandard.cc \
	   MFCT1SelFinal.cc \
	   MFSelBasic.cc \
	   MFSelStandard.cc \
	   MFSelFinal.cc \
           MFSoftwareTrigger.cc \
           MFCosmics.cc \
	   MFEnergySlope.cc

############################################################

all: $(OBJS)

include ../Makefile.rules

mrproper:	clean rmbak
